"
Actalk loading file:

	Actalk-FileIn.st


The following temporary variable should be set
at the time of installing the Actalk system.
It must indicate the full pathname of the directory/folder
where the Actalk sources (src) are located.
(Below are my own Macintosh and Unix paths as examples)."

| path |
	"Mac Finder:"
path := 'Macintosh HD:Programmation:Smalltalk-80:Actalk:3:src:'.
	"Unix:"
path := '/home/camille1/briot/smalltalk/actalk/3/src/'.

"A few little but useful extensions."
		"Method performMessage:"
(Filename named: path , 'Object-performMessage.st') fileIn.
		"(Compact) printing of a Message (useful for tracing)."
(Filename named: path , 'Message-compactPrintString.st') fileIn.
		"Collecting methods within a category/hierarchy."
(Filename named: path , 'ClassDescription-selectors.st') fileIn.

"Actalk Kernel."
		"Encapsulator superclass MinimalObject."
(Filename named: path , 'Actalk-Kernel-Encapsulator.st') fileIn.
		"Basic kernel classes: Basic1(&2)Actor(Behavior)."
(Filename named: path , 'Actalk-Kernel-Basic.st') fileIn.
		"Kernel classes Actor and ActorBehavior."
(Filename named: path , 'Actalk-Kernel.st') fileIn.
		"Class SingleAcceptActorBehavior."
(Filename named: path , 'Actalk-Kernel-Library.st') fileIn.
		"Reply destinations: Printer and BlockContinuation."
(Filename named: path , 'Actalk-Kernel-ReplyDest.st') fileIn.
		"Join continuations."
(Filename named: path , 'Actalk-Kernel-JoinCont.st') fileIn.
		"Various examples."
(Filename named: path , 'Actalk-Examples.st') fileIn.
		"The bounded buffer example."
(Filename named: path , 'Actalk-Ex-BoundedBuffer.st') fileIn.

"Actalk Extensions."

	"Actor model of computation behavior replacement concept."
		"Class ReplaceActorBehavior."
(Filename named: path , 'Actalk-Ext-Replace.st') fileIn.
		"Behavior for no more message expected."
(Filename named: path , 'Actalk-Ext-Replace-Library.st') fileIn.
		"Example of BankAccount, and BoundedBuffer revisited."
(Filename named: path , 'Actalk-Ext-Replace-Examples.st') fileIn.
		"Join continuations revisited."
(Filename named: path , 'Actalk-Ext-Replace-JoinCont.st') fileIn.
		"Extensions: insensitivity, behavior replacement message, and enabled methods."
(Filename named: path , 'Actalk-Ext-Replace-Ext.st') fileIn.
		"Useful to avoid errors when events onto a nil behavior
		(a possible case for insensitive actors)."
(Filename named: path , 'UndefinedObject-events.st') fileIn.
		"Examples: BankAccount overdraft management, and BoundedBuffer revisited."
(Filename named: path , 'Actalk-Ext-Replace-Ext-Ex.st') fileIn.

	"Abcl three types of message passing."
		"Classes AbclActor(Behavior) and Future(s)."
(Filename named: path , 'Actalk-Ext-Abcl.st') fileIn.
		"Examples: Fibonacci and BoundedBuffer revisited, and same fringe example."
(Filename named: path , 'Actalk-Ext-Abcl-Examples.st') fileIn.
		"Tree-like operations on Arrays for the same fringe example."
(Filename named: path , 'Array-tree_operations.st') fileIn.

	"Implicit reply (as in standard Smalltalk)."
		"Classes IRActor(Behavior)."
(Filename named: path , 'Actalk-Ext-ImplicitReply.st') fileIn.
		"Example: simulation of a set of thieves in action."
(Filename named: path , 'Actalk-Ext-ImplicitReply-Ex.st') fileIn.
		"Random operations on collections for the example of thieves."
(Filename named: path , 'OrderedCollection-random.st') fileIn.

	"Explicit message acceptance."
		"Class AcceptActorBehavior."
(Filename named: path , 'Actalk-Ext-Accept.st') fileIn.
		"Example of bounded buffer revisited."
(Filename named: path , 'Actalk-Ext-Accept-Examples.st') fileIn.

	"Explicit message acceptance and body live routine."
		"Class BodyAcceptActorBehavior."
(Filename named: path , 'Actalk-Ext-BodyAccept.st') fileIn.
		"Example of bounded buffer revisited."
(Filename named: path , 'Actalk-Ext-BodyAccept-Ex.st') fileIn.

	"Pool explicit message acceptance, body, and post actions."
		"Classes PoolActor(Behavior)."
(Filename named: path , 'Actalk-Ext-Pool.st') fileIn.
		"Examples: distributed symbol table, and dining philosophers."
(Filename named: path , 'Actalk-Ext-Pool-Examples.st') fileIn.

"Actalk extensions for synchronization of message acceptance."

	"Synchronization with abstract states."
(Filename named: path , 'Actalk-Synchro-State.st') fileIn.
		"Example of bounded buffer revisited."
(Filename named: path , 'Actalk-Synchro-State-Ex.st') fileIn.
		"Set-like (union and difference) operations on Arrays
		for composition of abstract states."
(Filename named: path , 'SeqColl-copyWithoutAnyOf.st') fileIn.
(Filename named: path , 'Array-set_operations.st') fileIn.

	"Synchronization with guards."
(Filename named: path , 'Actalk-Synchro-Guards.st') fileIn.
		"Examples of bounded buffer and dining philosophers revisited."
(Filename named: path , 'Actalk-Synchro-Guards-Ex.st') fileIn.

	"Abstract class for concurrent actors (management of multiple subprocesses)."
(Filename named: path , 'Actalk-Concurrent.st') fileIn.

	"Synchronization with suspension (monitor-like)."
(Filename named: path , 'Actalk-Synchro-Suspend.st') fileIn.
	"Example of bounded buffer revisited."
(Filename named: path , 'Actalk-Synchro-Suspend-Ex.st') fileIn.

	"Synchronization with counters."
(Filename named: path , 'Actalk-Synchro-Counters.st') fileIn.
	"Examples of readers & writers, and bounded buffer revisited."
(Filename named: path , 'Actalk-Synchro-Counters-Ex.st') fileIn.

	"Mixed synchronization with abstract states and counters."
(Filename named: path , 'Actalk-Synchro-ASC.st') fileIn.
	"Example of bounded buffer revisited."
(Filename named: path , 'Actalk-Synchro-ASC-Examples.st') fileIn.

"A minimal time slicing scheduler extension."
(Filename named: path , 'ProcessorScheduler-slice.st') fileIn.
(Filename named: path , 'ProcessorScheduler_class-slc.st') fileIn.

"Protected transcript window when using time-slicing."
(Filename named: path , 'SharedTextCollector.st') fileIn.

""!
