SuspendActorBehavior subclass: #SuspendBoundedBuffer
	instanceVariableNames: 'contents maxSize '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Actalk-Synchro-Suspend-Ex'!


!SuspendBoundedBuffer methodsFor: 'initialize'!

initialize: anInteger

	maxSize := anInteger.
	contents := BoundedBufferObject new maxSize: maxSize! !

!SuspendBoundedBuffer methodsFor: 'script'!

get

	self waitUntil: [contents isEmpty not].
	^contents removeFirst!

put: item

	self waitUntil: [contents isFull not].
	contents addLast: item! !

!SuspendBoundedBuffer methodsFor: 'printing'!

printOn: aStream
	"Print as its class name, then its contents."

	super printOn: aStream.
	contents printOn: aStream! !
"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

SuspendBoundedBuffer class
	instanceVariableNames: ''!


!SuspendBoundedBuffer class methodsFor: 'instance creation'!

new: size

	^self new initialize: size! !

!SuspendBoundedBuffer class methodsFor: 'example'!

exampleSize: maxSize numberItems: numberItems speedRatio: ratio
	"SuspendBoundedBuffer exampleSize: 3 numberItems: 8 speedRatio: 4"
	"SuspendBoundedBuffer exampleSize: 3 numberItems: 8 speedRatio: 1/4"

	| buffer producer consumer |
	buffer := (SuspendBoundedBuffer new: maxSize) actor.
	producer := (Producer new buffer: buffer delay: 1) actor.
	consumer := (Consumer new buffer: buffer delay: ratio) actor.
	producer runPut: numberItems.
	consumer runGet: numberItems! !
